Name: jhead
Version: 2.4
Release: 3%{?dist}
Summary: Tool for displaying EXIF data embedded in JPEG images
Group: Applications/Multimedia
License: Public Domain
URL: http://www.sentex.net/~mwandel/jhead/
Source0: http://www.sentex.net/~mwandel/jhead/jhead-2.4.tar.gz
Patch0: jhead-makefile.patch
Patch1: jhead-compiler-warnings.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Jhead displays and manipulates the non-image portions of EXIF formatted
JPEG images, such as the images produced by most digital cameras.

%prep
%setup -q
%patch0
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_bindir}
cp -p jhead ${RPM_BUILD_ROOT}/%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_mandir}/man1/
cp -p jhead.1.gz ${RPM_BUILD_ROOT}/%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc readme.txt usage.html changes.txt
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%changelog
* Fri Jul 08 2005 Adrian Reber <adrian@lisas.de> - 2.4-3
- undo parts of the compiler warning patch because it 
  disabled the correct optflags

* Fri Jul 08 2005 Adrian Reber <adrian@lisas.de> - 2.4-2
- added patch to make compiler happy

* Fri Jul 08 2005 Adrian Reber <adrian@lisas.de> - 2.4-1
- updated to 2.4

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Feb 12 2005 Adrian Reber <adrian@lisas.de> 2.3-1
- updated to 2.3

* Wed Nov 10 2004 Matthias Saou <http://freshrpms.net/> 2.2-2
- Bump release to provide Extras upgrade path.

* Wed Oct 13 2004 Adrian Reber <adrian@lisas.de> 0:2.2-0.fdr.1
- updated to 2.2
- use full URL for source
- now honouring RPM_OPT_FLAGS

* Sat Jul 26 2003 Chris Ricker <kaboom@gatech.edu> 0:2.0-0.fdr.2
- Optimize compile (#502)
- Include changes.txt (#502)

* Tue Jul 22 2003 Chris Ricker <kaboom@gatech.edu> 0:2.0-0.fdr.1
- Initial package
